
Katello - Bug #5947

Create repo:  When accidentally selecting a GPG key, no way to deselect that key

05/27/2014 04:14 PM - Brad Buckingham

Status: Closed   

Priority: Normal   

Assignee: Walden Raines   

Category: Web UI   

Target version: Katello 2.0   

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link: 1028098 Red Hat JIRA:  

Pull request:    

Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1028098

Description of problem:

When user is creating a yum/puppet repo and accidentally chooses something from the GPG key box, s/he is unable to "deselect" it

since the 'blank' line in the dropdown disappears.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:

1.  Create a GPG key

2.  Attempt to create a repo (either yum or puppet);  click on the GPG key dropdown, noting the blank line (nothing selected) and the

GPG key you uploaded/created.

3.  Select the GPG key.

4.  Click dropdown again and try to "deselect" it.

Actual results:

No blank option, user can't deselect

Expected results:

User should always have option to clear a gpg key they accidentally were setting up.

Additional info:

Workarounds:

Cancel/reload

Edit the repo once created and fix the GPG key there, where we again have the blank option.

Associated revisions

Revision fcd60564 - 05/28/2014 10:31 AM - Walden Raines

Fixes #5947/BZ1028098 - allow selecting empty GPG key and sync plan.

Revision b8506e42 - 05/28/2014 02:31 PM - Walden Raines

Fixes #5947/BZ1028098 - allow selecting empty GPG key and sync plan.

Revision 37de364a - 05/28/2014 04:30 PM - Walden Raines

Merge pull request #4160 from waldenraines/5947

Fixes #5947/BZ1028098 - allow selecting empty GPG key and sync plan.

Revision 7900de08 - 05/28/2014 08:30 PM - Walden Raines

Merge pull request #4160 from waldenraines/5947

Fixes #5947/BZ1028098 - allow selecting empty GPG key and sync plan.
History

#1 - 05/27/2014 04:14 PM - Brad Buckingham

- Triaged set to Yes

#2 - 05/27/2014 07:38 PM - Walden Raines

- Status changed from New to Ready For Testing

https://github.com/Katello/katello/pull/4160

#3 - 05/28/2014 06:55 PM - Eric Helms

- Target version set to 45

#4 - 05/28/2014 08:52 PM - Walden Raines

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset katello|commit:b8506e42bf6e92ed548f88fdb7fee727c9ec41b8.

#5 - 08/22/2014 08:27 AM - Eric Helms

- translation missing: en.field_release set to 13
